> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream Execution Status

> SSE endpoint that streams the status of a given execution_id by polling the
latest_executions view.



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json get /executions/{execution_id}/status.stream
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /executions/{execution_id}/status.stream:
    get:
      tags:
        - executions
      summary: Stream Execution Status
      description: >-
        SSE endpoint that streams the status of a given execution_id by polling
        the

        latest_executions view.
      operationId: stream_execution_status_executions__execution_id__status_stream_get
      parameters:
        - name: execution_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Execution Id
      responses:
        '200':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````